:: This will return the date and time into environment variables (YYYY, YY, MM, DD, HH, MI and SS).
:: Works on any NT/2K/XP/7 machine independent of regional date settings.
:: Based on: http://ss64.com/nt/syntax-getdate.html
:: Modified 2011-10-08 - Romain Guay.

@echo off&SETLOCAL
FOR /f "tokens=1-4 delims=/-. " %%G IN ('date /t') DO (call :s_fixdate %%G %%H %%I %%J)
goto :s_print_the_date

:s_fixdate
if "%1:~0,1%" GTR "9" shift
FOR /f "skip=1 tokens=2-4 delims=(-)" %%G IN ('echo.^|date') DO (
   Set %%G=%1&set %%H=%2&Set %%I=%3)
goto :eof

:s_print_the_date
:: Get the date part.
Endlocal&(
	:: German locale
	Echo.|date|find "JJ">nul
	If errorlevel 0 (Echo.|date|find "MM">nul)
	If errorlevel 0 (Echo.|date|find "TT">nul)
	If errorlevel 0 (SET YYYY=%JJ%&Set MM=%MM%&SET DD=%TT%)
	
	:: French locale
	Echo.|date|find "AA">nul
	If errorlevel 0 (Echo.|date|find "MM">nul)
	If errorlevel 0 (Echo.|date|find "JJ">nul)
	If errorlevel 0 (SET YYYY=%AA%&Set MM=%MM%&SET DD=%JJ%)
	
	:: English locale (default)
	If errorlevel 1 (SET YYYY=%YY%&SET MM=%MM%&SET DD=%DD%)
)

:: Adjust YYYY and YY variables.
call :strLen %YYYY% length
If "%length%"=="2" (SET YYYY=20%YYYY%&SET YY=%YYYY%) ELSE (SET YY=%YYYY:~2,2%)

:: Get the time part.
For /f "tokens=1,2,3 delims=:.," %%A in ("%time%") do @( 
	Set HH=%%A&Set MI=%%B&Set SS=%%C
)
Set HH=%HH: =0%

::echo YYYY=%YYYY%
::echo YY=%YY%
::echo MM=%MM%
::echo DD=%DD%
::echo HH=%HH%
::echo MI=%MI%
::echo SS=%SS%

GOTO :EOF
::--------------------------------------------------------
::-- Function section
::--------------------------------------------------------

:strLen string len -- returns the length of a string
::                 -- string [in]  - variable name containing the string being measured for length
::                 -- len    [out] - variable to be used to return the string length
( SETLOCAL ENABLEDELAYEDEXPANSION
                set string=%1%
                set len=0
                :stringLengthLoop
                if defined string (set string=!string:~1!&set /A len += 1&goto stringLengthLoop)
)
( ENDLOCAL & REM RETURN VALUES
  IF "%~2" NEQ "" SET /A %~2=%len%
)
EXIT /b
