@ECHO OFF
SETLOCAL 

REM Arguments:
REM %1: TCC configuration file
REM %2: Optional - TCC query file
REM %3: Optional - Result file

REM ---------------------------------------------------------------
REM            VALIDATIONS
REM ---------------------------------------------------------------
If "%TALEO_HOST%"=="" (
	echo ### ERROR - The default endpoint must be defined with a vaild host. ###
	pause
	exit 1
)

ECHO Executing at the following endpoint: %TALEO_HOST%

REM Build the Java classpath.
set CLASSPATH=core
for %%i in ("%LIB_FOLDER%\*.jar") do call :addJar %%i
set CLASSPATH=%CLASSPATH%;%TCC_HOME%\lib\taleo-integrationclient.jar

REM Build the Java options.
SET JAVA_OPTS=-Xms512m -Xmx%JAVA_XMX%

REM TCC Configuration.
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.install.dir="%TCC_HOME%"
SET JAVA_OPTS=%JAVA_OPTS% -Djava.endorsed.dirs="%TCC_HOME%\lib\endorsed"
SET JAVA_OPTS=%JAVA_OPTS% -Djavax.xml.xpath.XPathFactory:http://java.sun.com/jaxp/xpath/dom=net.sf.saxon.xpath.XPathFactoryImpl
SET JAVA_OPTS=%JAVA_OPTS% -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl
SET JAVA_OPTS=%JAVA_OPTS% -Djavax.xml.transform.TransformerFactory=net.sf.saxon.TransformerFactoryImpl
SET JAVA_OPTS=%JAVA_OPTS% -Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.Log4JLogger
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.LOG_FOLDER="%LOG_FOLDER%"
IF "%CONFIG_BOARD:~0,1%"=="." (
	SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.configuration.board.default.file="%cd%\%CONFIG_BOARD%"
) ELSE (
	SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.configuration.board.default.file="%CONFIG_BOARD%"
)
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.NOW="%NOW%"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.TODAY="%TODAY%"
IF "%LOOP_INDEX%"=="" SET LOOP_INDEX=0
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.LOOP_INDEX="%LOOP_INDEX%"
IF NOT "%LASTRUNDATE_FOLDER%"=="" (
	IF "%LASTRUNDATE_FOLDER:~0,1%"=="." (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.lastrundates.dir="%cd%\%LASTRUNDATE_FOLDER%"
	) ELSE (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.lastrundates.dir="%LASTRUNDATE_FOLDER%"
	)
)
IF NOT "%CUSTOM_DICTIONARIES_FOLDER%"=="" (
	IF "%CUSTOM_DICTIONARIES_FOLDER:~0,1%"=="." (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.customdictionaries.dir="%cd%\%CUSTOM_DICTIONARIES_FOLDER%"
	) ELSE (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.customdictionaries.dir="%CUSTOM_DICTIONARIES_FOLDER%"
	)
)
IF NOT "%MONITOR_FOLDER%"=="" (
	IF "%MONITOR_FOLDER:~0,1%"=="." (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.MONITOR_FOLDER="%cd%\%MONITOR_FOLDER%"
	) ELSE (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.MONITOR_FOLDER="%MONITOR_FOLDER%"
	)
) ELSE (
	SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.MONITOR_FOLDER="monitor"
)
IF NOT "%TEMP_FOLDER%"=="" (
	IF "%TEMP_FOLDER:~0,1%"=="." (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.TEMP_FOLDER="%cd%\%TEMP_FOLDER%"
	) ELSE (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.TEMP_FOLDER="%TEMP_FOLDER%"
	)
)
IF NOT "%FEATUREPACKS_FOLDER%"=="" (
	IF "%FEATUREPACKS_FOLDER:~0,1%"=="." (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.featurepacks.dir="%cd%\%FEATUREPACKS_FOLDER%"
	) ELSE (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.featurepacks.dir="%FEATUREPACKS_FOLDER%"
	)
)
REM The argument for featurepacks folder has changed name in TCC 11.
IF NOT "%FEATUREPACKS_FOLDER%"=="" (
	IF "%FEATUREPACKS_FOLDER:~0,1%"=="." (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.productpacks.dir="%cd%\%FEATUREPACKS_FOLDER%"
	) ELSE (
		SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.productpacks.dir="%FEATUREPACKS_FOLDER%"
	)
)

REM Taleo endpoint configuration.
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.TALEO_HOST="%TALEO_HOST%"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.TALEO_ZONE="%TALEO_HOST:~0,-10%"

REM Proxy configuration.
SET JAVA_OPTS=%JAVA_OPTS% -Dhttp.proxyHost="%PROXY_HOST%"
SET JAVA_OPTS=%JAVA_OPTS% -Dhttp.proxyPort="%PROXY_PORT%"
SET JAVA_OPTS=%JAVA_OPTS% -Dhttp.proxyUser="%PROXY_USER%"
SET JAVA_OPTS=%JAVA_OPTS% -Dhttp.proxyPassword="%PROXY_PASSWORD%"
SET JAVA_OPTS=%JAVA_OPTS% -Dhttp.proxyNTDomain="%PROXY_NTDOMAIN%"

REM File & folder configuration.
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.IN_FILE="%~nx2"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.OUT_FILE="%~nx3"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.INBOUND_FOLDER="%INBOUND_FOLDER%"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.OUTBOUND_FOLDER="%OUTBOUND_FOLDER%"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.SCRIPTS_FOLDER="%SCRIPTS_FOLDER%"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.RESPONSE_FOLDER="%RESPONSE_FOLDER%"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.ARCHIVE_FOLDER="%ARCHIVE_FOLDER%"
SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.client.symbol.ERROR_FOLDER="%ERROR_FOLDER%"

REM Mail configuration.
IF NOT "%ALERTING_MAIL_FROM%"=="" SET JAVA_OPTS=%JAVA_OPTS% -Dalerting.email.sender="%ALERTING_MAIL_FROM%"

REM Net-Change configuration.
IF "%NETCHANGE_REPOSITORY%"=="" GOTO END_NETCHANGE
	CALL core\Init_net-change.bat
	SET JAVA_OPTS=%JAVA_OPTS% -Dcom.taleo.integration.client.extensions.plugins.configuration.dir.plugins.tcc-netchange="%NETCHANGE_CONFIG_FOLDER%"
:END_NETCHANGE

REM Initialize RETRY_INDEX.
SET RETRY_INDEX=0

:TCC
REM Run TCC
"%JAVA_HOME%\bin\java.exe" %JAVA_OPTS% -classpath "%CLASSPATH%" com.taleo.integration.client.Client %1 %2 %3
SET ERR=%ERRORLEVEL%

REM Handle retries.
SET /a RETRY_INDEX=%RETRY_INDEX% + 1
IF NOT %ERR%==0 (
	IF %RETRY_INDEX% leq %NB_RETRIES% (
		echo.
		echo Retry %RETRY_INDEX% of %NB_RETRIES%
		GOTO TCC
	)
)

REM Delete the NETCHANGE_CONFIG_FOLDER.
IF exist "%NETCHANGE_CONFIG_FOLDER%" rd /S /Q "%NETCHANGE_CONFIG_FOLDER%"

REM Handle errors.
IF %ERR%==0 (
	ECHO ###### SUCCESS ######
) ELSE (
	ECHO.
	ECHO #################################
	ECHO ###### ERROR executing TCC ######
	ECHO #################################
)
exit /B %ERR%

:addJar
set CLASSPATH=%CLASSPATH%;%1
exit /B
