REM %1: Configuration file (e.g. %SCRIPTS_FOLDER%\Candidate_merge\Candidate_merge_cfg.xml)
REM %2: Input file folder & pattern (e.g. %INBOUND_FOLDER%\Candidate_*.csv).
REM %3: Output file folder & prefix (e.g. %OUTBOUND_FOLDER%\result_).
REM %4: Output file extension - Optional (default: actual input file extension) (e.g. xml).
REM %5: Archive the file on success - Optional (true or false, default: true). Note: On error, it will be sent to /data/error.

REM Set the EXTENSION.
Set EXTENSION=.%~4
If "%EXTENSION%"=="." (
	Set EXTENSION=%~x2
)

REM Set the ARCHIVE flag.
Set ARCHIVE=%5
If "%ARCHIVE%"=="" (
	Set ARCHIVE=true
)

REM Loop on each file matching the pattern.
setlocal enabledelayedexpansion
set LOOP_INDEX=0
set ERR=0
For %%i in ("%~2") do (
 	If !ERR!==0 (
		set /a LOOP_INDEX=!LOOP_INDEX! + 1
    Call :runTCC "%~1" "%%i" "%~3" "%EXTENSION%" "%ARCHIVE%" ERR
	) Else (
		Exit /B !ERR!
	)
) 
endlocal
GOTO END

:runTCC
	REM Run TCC for a given input file.
	Call core\TCC.bat "%~f1" "%~f2" "%~f3%~n2%~4"
	
	REM Set the ERR variable (sixth argument) to force exiting the loop on error.
	Set %~6=%ERRORLEVEL%

	REM Archive the file.
	IF "%ERRORLEVEL%"=="0" (
		If "%~5"=="true" (
			Call core\Archive.bat move "%~f2" %ERRORLEVEL%
		)
	) ELSE (
		Call core\Archive.bat move "%~f2" %ERRORLEVEL%
	)
	
	GOTO END

:END